main()
{
	setCullFog (0, 10200, .32, .36, .40, 0);
	ambientPlay("ambient_mp_harbor");
	
	setcvar("sv_night", "0" );

	maps\mp\_load::main();
	maps\mp\juno_beach2_fx::main();

	thread veh_ents();

	thread maps\mp\_mg42trigs_BsM::mg42_setup();
	thread maps\mp\_watertrigs_BsM::main();
	
	maps\mp\_flak_gmi::main();
	level thread maps\mp\_mortar_bsm::init();
	level thread maps\mp\_mortar_bsm::main();

	game["compass_range"] = 8192;

	game["allies"] = "british";
	game["axis"] = "german";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["hud_allies_victory_image"]= "gfx/hud/hud@mp_victory_juno_ca.dds";
	game["hud_axis_victory_image"] 	= "gfx/hud/hud@mp_victory_juno_ge.dds";
	game["sound_allies_victory_music"] = "ca_victory";

//dom Settings
	if (getcvar("g_gametype") == "dom")
	{
	//Flag Setup
	//There must be a set of the following for each flag in your map.
		flag1 = getent("flag1","targetname");			// identifies the flag you're setting up
		flag1.script_timer = 5;					// how many seconds a capture takes with one player
		flag1.description = (&"BSM_GT_FLAG1_MP_DOM");	

      		flag2 = getent("flag2","targetname");
		flag2.script_timer = 5;
		flag2.description = (&"BSM_GT_FLAG2_MP_DOM");

		flag3 = getent("flag3","targetname");
		flag3.script_timer = 5;
		flag3.description = (&"BSM_GT_FLAG3_MP_DOM");

      		flag4 = getent("flag4","targetname");
		flag4.script_timer = 5;
		flag4.description = (&"BSM_GT_FLAG4_MP_DOM");

      		flag5 = getent("flag5","targetname");
		flag5.script_timer = 5;
		flag5.description = (&"BSM_GT_FLAG5_MP_DOM");
	}

	//hq settings
	if (getcvar("g_gametype") == "hq")
	{
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-102, 1138, 178);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-2094, 2792, 184);
		radio.angles = (0, 270, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-4416, 1724, 32);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-5558, 416, 122);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-3314, 2106, 156);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-4232, -168, 144);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-970, -710, -4);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-5470, 2408, 156);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
	}

//retrival settings
	if (getcvar("g_gametype") == "re")
	{
		game["re_attackers"] = "allies";
		game["re_defenders"] = "axis";
		game["re_attackers_obj_text"] = ("Capture the German radio codebook and return it to the beach.");
		game["re_defenders_obj_text"] = ("Stop Allies from infiltrating your lines. They will try to capture your Codes.");
		game["re_spectator_obj_text"] = ("The Axis must prevent the Allies from capturing a codebook.");
		game["re_attackers_intro_text"] = ("Capture the German radio codebook and return it to the beach.");
		game["re_defenders_intro_text"] = ("Prevent Allies from infiltrating and capturing your radio codebook.");
	}

//search and destroy setup
	if (getcvar("g_gametype") == "sd")
	{//Modified SD.gsc to read these
		game["sd_attackers_obj_text"] = ("Destroy the ammo bunker. Incinerate the radio bunker. Kill enemy troops.");
		game["sd_defenders_obj_text"] = ("Stop Allies from infiltrating your lines. They will try destroy your bunkers.");
		game["sd_spectator_obj_text"] = ("The Axis must prevent the Allies from destroying the ammo and radio bunkers.");
		game["sd_attackers_intro_text"] = ("Destroy the ammo bunker with a bomb. Incinerate the radio bunker with petrol.");
		game["sd_defenders_intro_text"] = ("Prevent the Allies from infiltrating your lines and destroying the bunkers.");
	}

}

veh_ents()
{
	precachemodel("xmodel/mp_vehicle_sherman_destroyed");

	vehs = getcvar("scr_junotanks");

	if ( isDefined(vehs) && (vehs == 1) )
	{
		level thread maps\mp\_tankdrive_BsM::main();

	}
	else 
	{
		tanks = getentarray("script_tank", "targetname");

		if (tanks.size > 0)
		{
			for(i = 0; i < tanks.size; i++)
			{
			tanks[i] delete();

			}
		}
	}
}
